using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace RadComboBoxBindingExample
{
    public partial class Form1 : Form
    {
        List<Customer> list = new List<Customer>();

        public Form1()
        {
            InitializeComponent();

            FillList();

            radComboBox1.DataSource = list;
            radComboBox1.DisplayMember = "Name";
            radComboBox1.ValueMember = "Id";
        }

        private void FillList()
        {
            Customer cust = new Customer();
            cust.Id = 1;
            cust.Name = "Nikolay";
            list.Add(cust);

            cust = new Customer();
            cust.Id = 2;
            cust.Name = "George";
            list.Add(cust);

            cust = new Customer();
            cust.Id = 3;
            cust.Name = "Angel";
            list.Add(cust);

            cust = new Customer();
            cust.Id = 4;
            cust.Name = "Jack";
            list.Add(cust);
        }

        private void radComboBox1_ItemDataBound(object sender, ItemDataBoundEventArgs e)
        {
            RadComboBoxItem item = e.DataBoundItem as RadComboBoxItem;
            item.Tag = (Customer)e.DataItem;
        }

        private void radComboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            Customer customerObj = ((RadListBoxItem)radComboBox1.SelectedItem).Tag as Customer;
            if (customerObj != null)
            {
                rlbObject.Text = String.Format("Got object: {0}, {1}", customerObj.Id, customerObj.Name);
            }
        }
    }
}